| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
LZWCodecState Struct Reference

## Public Attributes
LZWBaseState | base
long | dec_nbitsmask
long | dec_restart
long | dec_bitsleft
decodeFunc | dec_decode
code_t * | dec_codep
code_t * | dec_oldcodep
code_t * | dec_free_entp
code_t * | dec_maxcodep
code_t * | dec_codetab
int | enc_oldcode
long | enc_checkpoint
long | enc_ratio
long | enc_incount
long | enc_outcount
tidata_t | enc_rawlimit
hash_t * | enc_hashtab

## Detailed Description

Definition at line 130 of file tif_lzw.c.

## Member Data Documentation

LZWBaseState LZWCodecState::base

Definition at line 131 of file tif_lzw.c.

long LZWCodecState::dec_bitsleft

Definition at line 137 of file tif_lzw.c.

code_t* LZWCodecState::dec_codep

Definition at line 140 of file tif_lzw.c.

code_t* LZWCodecState::dec_codetab

Definition at line 144 of file tif_lzw.c.

decodeFunc LZWCodecState::dec_decode

Definition at line 139 of file tif_lzw.c.

code_t* LZWCodecState::dec_free_entp

Definition at line 142 of file tif_lzw.c.

code_t* LZWCodecState::dec_maxcodep

Definition at line 143 of file tif_lzw.c.

long LZWCodecState::dec_nbitsmask

Definition at line 134 of file tif_lzw.c.

code_t* LZWCodecState::dec_oldcodep

Definition at line 141 of file tif_lzw.c.

long LZWCodecState::dec_restart

Definition at line 135 of file tif_lzw.c.

long LZWCodecState::enc_checkpoint

Definition at line 148 of file tif_lzw.c.

hash_t* LZWCodecState::enc_hashtab

Definition at line 154 of file tif_lzw.c.

long LZWCodecState::enc_incount

Definition at line 151 of file tif_lzw.c.

int LZWCodecState::enc_oldcode

Definition at line 147 of file tif_lzw.c.

long LZWCodecState::enc_outcount

Definition at line 152 of file tif_lzw.c.

long LZWCodecState::enc_ratio

Definition at line 150 of file tif_lzw.c.

tidata_t LZWCodecState::enc_rawlimit

Definition at line 153 of file tif_lzw.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/libtiff/tif_lzw.c